const path = require("node:path");
const child_process = require("node:child_process");

const electron = require("electron");

electron.app.on("ready", function () {
	window = new electron.BrowserWindow({
		"width": 960,
		"height": 560,
		"webPreferences": {
			"nodeIntegration": true,
			"contextIsolation": true,
			"preload": path.join(__dirname, "preload.js")
		},
		"title": "OpenModLauncher",
		"icon": path.join(__dirname, "res", "img", "logo.png"),
		"frame": true,
		"transparent": true,
		"resizable": false,
		"show": false
	});

	window.loadFile(path.join(__dirname, "views", "main.html"));

	window.on("ready-to-show", window.show);
});

electron.app.on("window-all-closed", function () {
	electron.app.quit();
});
